跳转到内容

Instant Character

集成

模型 id instant-character
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/instant-character?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.10 100 API 积分 · ≈ ₽10.55 在此页面运行

获取 API 密钥
Tencent 图像编辑 #personalization#customization

根据参考图像和提示词生成保持身份一致的角色新图像

Tencent · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

指导图像生成的提示词。

•必填 image_url
拖放文件,或

将生成源提供为图像 URL,并确保源图像和遮罩具有相同尺寸。

image_size 默认 square_hd

生成图像的尺寸。

num_images 默认 1

请求生成的图像数量。

高级 negative_prompt · output_format · scale · guidance_scale · num_inference_steps · seed · enable_safety_checker
默认

指定要排除的图像细节的负面提示词,包括颜色、物体、场景或更细致的特征。例如胡子、模糊或低分辨率。

output_format 默认 jpeg

结果图像的文件格式。

默认 1

此缩放值越高,主体图像在生成结果中的突出程度越高。

默认 3.5

图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。

默认 28

要执行的推理步数。

用于生成可复现图像的种子:模型版本不变时,相同的提示词和种子会生成相同图像。

POST /run/instant-character?wait=20 报价 → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/instant-character?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Instant Character

根据 `prompt` 描述的姿势、风格或场景,使用参考图像(`image_url`)中的主体创建新图像。`scale`(0 到 2)用于设置主体的突出程度。`image_size` 提供六种预设,`num_images` 可生成 1 到 4 个结果,输出格式为 jpeg 或 png。还支持 `negative_prompt`、`seed` 和 `guidance_scale`。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
指导图像生成的提示词。
image_url必填 image
类型url · image
将生成源提供为图像 URL,并确保源图像和遮罩具有相同尺寸。
image_size可选
类型object
默认值square_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成图像的尺寸。
scale可选
类型number
默认值1
0 – 2
此缩放值越高,主体图像在生成结果中的突出程度越高。
negative_prompt可选
类型string
默认值
指定要排除的图像细节的负面提示词,包括颜色、物体、场景或更细致的特征。例如胡子、模糊或低分辨率。
seed可选
类型integer | null
用于生成可复现图像的种子:模型版本不变时,相同的提示词和种子会生成相同图像。
guidance_scale可选
类型number
默认值3.5
0 – 20
图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。
num_inference_steps可选
类型integer
默认值28
1 – 50
要执行的推理步数。
num_images可选 num_outputs
类型integer
默认值1
1 – 4
请求生成的图像数量。
enable_safety_checker可选
类型boolean
默认值true
安全检查;对于被标记为不安全的图像,返回黑色图像替代。true 启用检查;false 仅对获授权账户禁用检查,未获授权的请求无论如何都会检查。
output_format可选
类型enum
默认值jpeg
jpegpng
结果图像的文件格式。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "instant-character",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, content_type, file_name, file_size, width, height}模型生成的图像。
timings
object
seed
integer图像生成种子;如果输入未提供种子,则包含随机选择的值,否则重复使用所提供的值。
has_nsfw_concepts
array of boolean指示生成的图像中是否出现 NSFW 概念。
prompt
string图像生成期间使用的提示词。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/instant-character.md. 所有模型和指南: https://doitong.com/developers/llms.txt